# Property Quote **POST /v1/property/quote** API which will return available Product with calculated prices for requested Product and stay criteria. ## Servers - qa server: https://qa-partner.momorooms.com (qa server) - production server: https://partner.momorooms.com (production server) ## Authentication methods - O auth security ## Parameters ### Body: application/json (object) - **propertyId** (integer(int64)) momorooms ID of the property against which priceCheck is triggered. If the priceCheck is to be done on a Top Secret offer, the corresponding unbranded property id should be sent in the priceCheck request. - **checkIn** (string(date)) Date of check-in in the format (yyyy-mm-dd) - **checkOut** (string(date)) Date of checkout (not included in stay) in the format (yyyy-mm-dd) - **market** (string) ISO country codes for the market
Country Name Country code
Austria AT
Belgium BE
Bulgaria BG
Chile CL
Croatia HR
Cyprus CY
Czechia CZ
Denmark DK
Estonia EE
Finland FI
France FR
Germany DE
Hungary HU
Iceland IS
India IN
Ireland IE
Italy IT
Latvia LV
Lithuania LT
Luxembourg LU
Malta MT
Mexico MX
Netherlands NL
Norway NO
Poland PL
Portugal PT
Romania RO
Slovakia SK
Slovenia SI
Spain ES
Sweden SE
Switzerland CH
United Kingdom GB
United States of America US
Argentina AR
Greece GR
- **currencyCode** (string) Represents the three-letter currency code as per the ISO 4217 standard. - **rateType** (string) Parameter denoting for which kind of rate is the request triggered as in below table
Scenario Rate Type
Regular RateBAR
- **productType** (string) Parameter denoting for which kind of product is the request triggered as in below table
Scenario Search Path
Request includes only hotel accommodationsHotel
Request includes only packages bundled with hotel staysPackage
- **roomStays** (array[object]) Collection for holding the guest details for each room requested. Collection to be repeated for each room. ## Responses ### 200 OK #### Body: application/json (object) - **reservationId** (integer(int64)) Reservation ID for guarantee the price for the customer. - **property** (object) ### 400 Client Side Error #### Body: application/json (object) - **errors** (array[object]) ### 500 Server Side Error #### Body: application/json (object) - **errors** (array[object]) [Powered by Bump.sh](https://bump.sh)